Skip to main content
POST
Create Export

Authorizations

X-App-Id
string
header
required
X-App-Token
string
header
required

Body

application/json

Specify the details of the export that you would like to create.

Request body schema for POST v1/exports.

exported_object
enum<string>
default:voucher
required

The type of object to be exported.

Available options:
voucher
parameters
object

Response

Returns export object and URL of CSV file.

Response body schema for POST v1/exports.

id
string
required

Unique export ID.

object
enum<string>
default:export
required

The type of object being represented. This object stores information about the export.

Available options:
export
created_at
string<date-time>
required

Timestamp representing the date and time when the export was scheduled in ISO 8601 format.

status
enum<string>
default:SCHEDULED
required

Status of the export. Informs you whether the export has already been completed, i.e. indicates whether the file containing the exported data has been generated.

Available options:
SCHEDULED
result
object | null
required

Contains the URL of the CSV file.

user_id
string
required

Identifies the specific user who initiated the export through the Voucherify Dashboard; returned when the channel value is WEBSITE.

exported_object
enum<string>
default:voucher
required

The type of object to be exported.

Available options:
voucher
channel
string

The channel through which the export was triggered.

parameters
object
Last modified on July 7, 2026